github.com/hashicorp/consul/agent/consul vulnerabilities

Direct Vulnerabilities

Known vulnerabilities in the github.com/hashicorp/consul/agent/consul package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • M
Authorization Bypass

<1.11.9 >=1.12.0 <1.12.4 >=1.13.0 <1.13.2
  • M
Improper Input Validation

>=1.8.1 <1.11.9 >=1.12.4 <1.12.5 >=1.13.1 <1.13.2
  • H
Improper Input Validation

<1.11.9 >=1.12.0 <1.12.5
  • H
Improper Authorization

>=1.10.0-alpha <1.10.2 >=1.9.0-beta1 <1.9.9 <1.8.15
  • H
Improper Access Control

>=1.10.0 <1.10.2 >=1.9.0 <1.9.9 <1.8.15
  • M
Privilege Escalation

>=1.2.0 <1.8.6
  • M
Denial of Service (DoS)

<1.8.5
  • H
Denial of Service (DoS)

<1.6.3